GMETRIC(1)

NAME
gmetric - manual page for Ganglia Custom Metric Utility

SYNOPSIS
gmetric [OPTIONS]...

DESCRIPTION
The Ganglia Metric Client (gmetric) announces a metric on the list of defined send channels defined in a configuration file

-h, --help
    Print help and exit

-V, --version
    Print version and exit

-c, --conf=STRING
    The configuration file to use for finding send channels (default=`/etc/ganglia/gmond.conf')

-n, --name=STRING
    Name of the metric

-v, --value=STRING
    Value of the metric

-t, --type=STRING
    Either string|int8|uint8|int16|uint16|int32|uint32|float|double

-u, --units=STRING
    Unit of measure for the value e.g. Kilobytes, Celcius (default=`')

-s, --slope=STRING
    Either zero|positive|negative|both (default=`both')

-x, --tmax=INT
    The maximum time in seconds between gmetric calls (default=`60')

-d, --dmax=INT
    The lifetime in seconds of this metric (default=`0')

-g, --group=STRING
    Group of the metric

-D, --desc=STRING
    Description of the metric

-T, --title=STRING
    Title of the metric

-S, --spoof=STRING
    IP address and name of host/device (colon separated) we are spoofing (default=`')

-H, --heartbeat
    spoof a heartbeat message (use with spoof option)

AUTHOR
Matt Massie <massie@cs.berkeley.edu>

REPORTING BUGS
Report all bugs to the Ganglia Github project at
  https://github.com/ganglia/monitor-core/issues

COPYRIGHT
Copyright (c) 2001, 2002, 2003, 2004, 2005 by The Regents of the University of California. All rights reserved. Permission to use, copy, modify, and distribute this software and its documentation for any purpose, without fee, and without written agreement is hereby granted, provided that the above copyright notice and the following two paragraphs appear in all copies of this software. IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.